{% extends "admin/base_site.html" %}
{% load i18n static %}

{% block extrastyle %}{{ block.super }}<link rel="stylesheet" type="text/css" href="{% static "admin/css/dashboard.css" %}" />{% endblock %}

{% block breadcrumbs %}
<div class="breadcrumbs">
<a href="{% url 'admin:index' %}">{% trans 'Home' %}</a>
&rsaquo; <a href="{% url 'proj:listings' %}">{% trans 'Data manager' %}</a>
&rsaquo; <a href="{% url 'proj:display_station' %}">{% trans 'Stations' %}</a>
</div>
{% endblock %}


{% block content %}
<script>
    $(document).ready(function(){
        $('form').submit(function() {
            var c = confirm("continue submitting ?");
            return c;
        });
    })
</script>

<h1>Current models for {{ param.name }} in station {{ station.name }}</h1>

<p>
    <select onchange="window.location.href = '{{request.path}}?station={{station.id}}&param='+this.value">
    {% for m in allparams %}
        <option value="{{ m.id }}" {% if m.id == param.id %}selected{% endif %}>{{ m  }}</option>
    {% endfor %}
    </select>
    <br>
    <select onchange="window.location.href = '{{request.path}}?param={{param.id}}&station='+this.value">
    {% for m in allstations %}
        <option value="{{ m.id }}" {% if m.id == station.id %}selected{% endif %}>{{ m.name }}</option>
    {% endfor %}
    </select>
</p>

<p>Back to <a href="{% url 'proj:display_station' %}">station list</a>.</p>

<p>This page displays which models are included in each scenario set for the given station.
    Clicking an 'X' will remove the model from this scenario (from all scenarii if column <i>all</i>).
    Clicking an 'X' under <i>all stations</i> will try to remove it from all stations if possible.</p>

<p style="color:red">Warning : data deletion cannot be canceled. Backup files if unsure (in {{ dir }}).</p>

<table>
    <tr><th></th>
        <th colspan="4" style="text-align:center; background:#ddd; border-right:1px solid black">{{ station }}</th>
        <th colspan="4" style="text-align:center; background:#ddd"><i>all stations</i></th>
    <tr>
        <th><i>model</i></th>
        {% for s in scenlist %}
        <td>{{s}}</td>
        {% endfor %}
        <td><i>all</i></td>
        {% for s in scenlist %}
        <td>{{s}}</td>
        {% endfor %}
        <td><i>all</i></td>
    </tr>
    {% for cm,scens in cols %}
    <tr><th>{{cm}}</th>
        {% for s in scenlist %}<td style="text-align:center">{% if s in scens %}
            <a href="{% url 'proj:del_sp_scen' cm param.id station.id s %}" onclick="return confirm('Delete {{ cm }} for {{ s }} ?')">X</a>
            {% endif %}</td>
        {% endfor %}
        <td style="text-align:center">
            <a href="{% url 'proj:del_sp' cm param.id station.id %}"  onclick="return confirm('Delete {{ cm }} for all scenarii ?')">X</a>
        </td>
        {% for s in scenlist %}<td style="text-align:center">
            <a href="{% url 'proj:del_sp_scen' cm param.id -1 s %}" onclick="return confirm('Delete {{ cm }} for {{ s }} ?')">X</a>
            </td>
        {% endfor %}
        <td style="text-align:center">
            <a href="{% url 'proj:del_sp' cm param.id -1 %}"  onclick="return confirm('Delete {{ cm }} for all scenarii ?')">X</a>
        </td>
    </tr>
    {% endfor %}
</table>
{% endblock %}
